This version is outdated! Click here to see latest
Npms_big

mongoose

4.11.4

Mongoose MongoDB ODM

(mongodb, document, model, schema, database, odm, data, datastore, query, nosql, orm, db)

Critical or Security advisories for 4.11.4

This version doesn't have any advisory. Want to report one?

Changelog for 4.11.4

  • fix: handle next() errors in eachAsync() #5486 lchenay
  • fix(schema): propagate runSettersOnQuery option to implicitly created schemas #5479 [https://github.com/ValYouW]
  • fix(query): run castConditions() correctly in update ops #5477
  • fix(query): ensure castConditions called for findOne and findOneAnd* #5477
  • docs: clarify relationship between $lookup and populate #5475 TalhaAwan
  • test: add coverage for arrays of arrays zbjornson
  • fix(middleware): ensure that error handlers for save get doc as 2nd param #5466
  • fix: handle strict: false correctly #5454 #5453 wookieb
  • fix(query): apply schema excluded paths if only projection is a $slice #5450
  • fix(query): correct discriminator handling for schema select: false fields in schema #5448
  • fix(cursor): call next() in series when parallel option used #5446
  • chore: load bundled driver first to avoid packaging problem #5443 prototypeme
  • fix(query): defer condition casting until final exec #5434
  • fix(aggregate): don't rely on mongodb aggregate to put a cursor in the callback #5394
  • docs(aggregate): add useMongooseAggCursor docs #5394
  • docs(middleware): clarify context for document, query, and model middleware #5381

Dependencies for 4.11.4

Name Requirement Status
0.4.1

0.0.3

2.1.4

2.1.2

3.5.0

~1.0.4

Npms co
4.6.0

Npms dox
0.3.1

2.4.0

7.0.1

Display all

My projects using mongoose

Name Locked version Requirement
You should be logged in to see which of your projects use mongoose.